> For the complete documentation index, see [llms.txt](https://docs.videc.de/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.videc.de/june5-3.6/weitere-june5-produkte/june5-webreport/june5-funktionen/singlevalue.md).

# SingleValue

Diese Funktion liefert einen spezifizierten Wert zurück (z.B. Monatswert).

## Syntax

string **SingleValue** (string dataSourcekey, DateTime timestamp, string interval, string aggregation, bool rawValue)

## Parameter

<table><thead><tr><th width="250"></th><th></th></tr></thead><tbody><tr><td><pre><code>dataSourcekey:
</code></pre></td><td>Der Datenquellen-Schlüssel (Kurzname) einer Messgröße.</td></tr><tr><td><pre><code>timestamp:
</code></pre></td><td>Ein Zeitstempel.</td></tr><tr><td><pre><code>interval:
</code></pre></td><td>Ein Intervallwert oder -typ. (process, day, week, month, year).</td></tr><tr><td><pre><code>aggregation:
</code></pre></td><td>Ein Aggregationstyp. (val, pSum usw.).</td></tr><tr><td><pre><code>rawValue:
</code></pre></td><td>Auf true setzen, um den Rohwert zu erhalten. Ansonsten false.</td></tr></tbody></table>

## Rückgabewert

#### Beispiel

```
SingleValue("J5001DE.TA",GetQueryTimeRange("Messwerte").From,"month","val",true)
```

{% hint style="info" %}
Die Messgröße wird über den dataSourcekey angesprochen. Die Messgröße muss nicht über eine Tabelle verknüpft sein.
{% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.videc.de/june5-3.6/weitere-june5-produkte/june5-webreport/june5-funktionen/singlevalue.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
